The Path Forward: Ruby 1.9.2

At Heroku, we’ve been watching the progress of MRI very carefully for a while now; we added support for 1.9.1 nearly a year ago and 1.9.2 more recently, and we’ve seen thousands of apps created and running successfully on the 1.9 series of VMs. At the same time, we’ve seen the community as a whole recognize the importance of 1.9 by migrating libraries and gems to it and providing resources and tutorials on upgrading.

Today, Heroku is putting our full support behind Ruby 1.9.2 as the future of MRI. It is a stable, battle-tested, production-quality Ruby, and we’re excited to see it become the mainstay for future Ruby development.

What this means today

We encourage all Heroku developers to use Ruby 1.9.2 for new apps. You can create an app on 1.9.2 with the following command:

$ heroku create --stack bamboo-mri-1.9.2

We also encourage developers to port (or at least test) existing apps on 1.9.2, and to contribute bug reports, feedback, and patches to libraries that aren’t currently 1.9.2-compatible:

$ heroku stack:migrate bamboo-mri-1.9.2

As part of this effort, we have also deprecated the bamboo-mri-1.9.1 stack. Apps that are currently running on it will not be affected, but no new 1.9.1 apps can be created, and you are no longer able to migrate to 1.9.1.

What this means going forward

As of now, bamboo-ree-1.8.7 is still the default stack for new Heroku apps. As support for Ruby 1.9.2 continues to improve, we will regularly review this, with the goal of making 1.9.2 the default in the future. We’ll provide plenty of notice before this switch, of course.

Resources for Ruby 1.9.2

There are a number of great resources for learning about and trying out Ruby 1.9.2. Here are some of our favorites, but feel free to leave yours in the comments!

  • Programming Ruby 1.9 – the latest edition of the book that brought Ruby to the English-speaking world.
  • RVM – we recommend RVM for managing your Rubies in development; it makes testing apps against alternate implementations as painless as possible.
  • Upgrading to Ruby 1.9 – David A Black’s summary of the top 10 things to watch out for when moving from 1.8 to 1.9 – and don’t miss the sequel, which contains even more good information.
  • Is It Ruby 1.9? – a community-powered site for monitoring gem compatibility (and be sure to contribute to it!)
Tags: ruby

Browse the blog archives or subscribe to the full-text feed.